Database connection error (2): Could not connect to MySQL.Database connection error (2): Could not connect to MySQL.

@nifty ホームページサービス 接続できない

niftyのサーバで、データベースにアクセスできなくなる事象が発生しました。

主な対処方法としては、大下バルサラ@スピカデザインさんの記事が参考になりました。

以下、つまずいた点を紹介します。

phpMyAdminの簡単インストールできない

PHP 7.1.3+ is required.
Currently installed version is: 5.6.40

PHP 7.1.3+が必要です。
現在インストールされているバージョンは: 5.6.40

プログラミング言語バージョン切り替え画面

Joomla!のテンプレートがバージョンアップできないため、PHP7では動かないのですが…。とりあえずPHPのバージョンを7.1に変更します。

インストールできました。

この記事を書いた人

山崎 大祐

現役コーダーでフロントエンジン寄りのWeb構築と運用ができます。(企画/デザイン/構築/運営)
すきなもの「赤色・キューブ・コンクリート」